Bug 2238954 - Fedora 39 / Python 3.12 compatibility
Summary: Fedora 39 / Python 3.12 compatibility
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: centpkg
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George 🤠
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-14 14:22 UTC by Tomáš Bžatek
Modified: 2023-09-20 00:19 UTC (History)
8 users (show)

Fixed In Version: centpkg-0.8.1-3.fc40 centpkg-0.8.1-3.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-15 04:01:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Tomáš Bžatek 2023-09-14 14:22:43 UTC
Looks like configparser.SafeConfigParser is no more in Python 3.12 as tested on F39:

centpkg-0.8.1-2.fc39.noarch

$ centpkg 
Traceback (most recent call last):
  File "/usr/bin/centpkg", line 19, in <module>
    main()
  File "/usr/lib/python3.12/site-packages/centpkg/__main__.py", line 57, in main
    config = ConfigParser.SafeConfigParser()
             ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
AttributeError: module 'configparser' has no attribute 'SafeConfigParser'. Did you mean: 'RawConfigParser'?

Comment 1 Fedora Update System 2023-09-15 04:00:08 UTC
FEDORA-2023-bb66e99978 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-bb66e99978

Comment 2 Fedora Update System 2023-09-15 04:01:38 UTC
FEDORA-2023-bb66e99978 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-09-15 04:02:34 UTC
FEDORA-2023-95e21a8e6e has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-95e21a8e6e

Comment 4 Carl George 🤠 2023-09-15 04:04:22 UTC
Thanks for the report.  I've proposed a fix upstream, and included the same change in the package via a patch.

https://git.centos.org/centos/centpkg/pull-request/92

Please test the F39 bodhi update and provide karma if you're able.

Comment 5 Tomáš Bžatek 2023-09-15 13:55:05 UTC
Nice, thanks! Works fine now for cloning, I'm going to build some packages next week and will test the rest of the functionality.

Comment 6 Fedora Update System 2023-09-16 01:47:53 UTC
FEDORA-2023-95e21a8e6e has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-95e21a8e6e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-95e21a8e6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-09-20 00:19:41 UTC
FEDORA-2023-95e21a8e6e has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.